## hubzero-icewm-themes 0.9.0

=== Makefile ===
# Copyright 2006-2009 by Purdue Research Foundation, West Lafayette, IN 47906.
# All rights reserved.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License, version 2.1 as published by the Free Software Foundation.

clean:
	rm -f configure-stamp
	rm -f build-stamp
	make -C hubzero --no-print-directory clean

install:
	make -C hubzero --no-print-directory install

=== hubzero/Makefile ===
# Copyright 2006-2009 by Purdue Research Foundation, West Lafayette, IN 47906.
# All rights reserved.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License, version 2.1 as published by the Free Software Foundation.

INSTDIR=$(DESTDIR)/usr/share/icewm/themes
OWNER=root
GROUP=root

FILES=closeA.xpm closeI.xpm closeO.xpm default.theme hubzero-start-btn.png hubzero_wallpaper.png maximizeA.xpm \
	maximizeI.xpm maximizeO.xpm menuButtonA.xpm menuButtonI.xpm menuButtonO.xpm minimizeA.xpm \
	minimizeI.xpm minimizeO.xpm restoreA.xpm restoreI.xpm restoreO.xpm titleAB.xpm titleAT.xpm \
	titleIB.xpm titleIT.xpm
TFILES=start.xpm

clean:
	true

install:
	install -d $(INSTDIR)/hubzero --owner $(OWNER) --group $(GROUP) --mode 0755
	install -d $(INSTDIR)/hubzero/taskbar --owner $(OWNER) --group $(GROUP) --mode 0755
	for f in $(FILES); do install $$f $(INSTDIR)/hubzero/$$f --owner $(OWNER) --group $(GROUP) --mode 0755 ; done
	for f in $(TFILES); do install taskbar/$$f $(INSTDIR)/hubzero/taskbar/$$f --owner $(OWNER) --group $(GROUP) --mode 0755 ; done

## hubzero-icewm-themes 1.0.0

=== Makefile ===
# @package      hubzero-icewm-themes
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2011 Purdue University. All rights reserved.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2010-2011 Purdue University
# All rights reserved.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of Purdue University.
#

clean:
	rm -f configure-stamp
	rm -f build-stamp
	make -C hubzero --no-print-directory clean

install:
	make -C hubzero --no-print-directory install

=== hubzero/Makefile ===
# @package      hubzero-icewm-themes
# @file         hubzero/Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2011 Purdue University. All rights reserved.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2010-2011 Purdue University
# All rights reserved.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of Purdue University.
#

USRSHAREDIR=$(DESTDIR)/usr/share
OWNER=root
GROUP=root

FILES=closeA.xpm closeI.xpm closeO.xpm default.theme hubzero-start-btn.png hubzero_wallpaper.png maximizeA.xpm \
        maximizeI.xpm maximizeO.xpm menuButtonA.xpm menuButtonI.xpm menuButtonO.xpm minimizeA.xpm \
        minimizeI.xpm minimizeO.xpm restoreA.xpm restoreI.xpm restoreO.xpm titleAB.xpm titleAT.xpm \
        titleIB.xpm titleIT.xpm
TFILES=start.xpm

clean:
	true

install:
	install -d $(USRSHAREDIR)/icewm/themes/hubzero --owner $(OWNER) --group $(GROUP) --mode 0755
	install -d $(USRSHAREDIR)/icewm/themes/hubzero/taskbar --owner $(OWNER) --group $(GROUP) --mode 0755
	for f in $(FILES); do install $$f $(USRSHAREDIR)/icewm/themes/hubzero/$$f --owner $(OWNER) --group $(GROUP) --mode 0755 ; done
	for f in $(TFILES); do install taskbar/$$f $(USRSHAREDIR)/icewm/themes/hubzero/taskbar/$$f --owner $(OWNER) --group $(GROUP) --mode 0755 ; done

## hubzero-icewm-themes 1.0.1

=== hubzero/Makefile ===
--- 
+++ 
@@ -42,5 +42,5 @@
 install:
 	install -d $(USRSHAREDIR)/icewm/themes/hubzero --owner $(OWNER) --group $(GROUP) --mode 0755
 	install -d $(USRSHAREDIR)/icewm/themes/hubzero/taskbar --owner $(OWNER) --group $(GROUP) --mode 0755
-	for f in $(FILES); do install $$f $(USRSHAREDIR)/icewm/themes/hubzero/$$f --owner $(OWNER) --group $(GROUP) --mode 0755 ; done
-	for f in $(TFILES); do install taskbar/$$f $(USRSHAREDIR)/icewm/themes/hubzero/taskbar/$$f --owner $(OWNER) --group $(GROUP) --mode 0755 ; done
+	for f in $(FILES); do install $$f $(USRSHAREDIR)/icewm/themes/hubzero/$$f --owner $(OWNER) --group $(GROUP) --mode 0644 ; done
+	for f in $(TFILES); do install taskbar/$$f $(USRSHAREDIR)/icewm/themes/hubzero/taskbar/$$f --owner $(OWNER) --group $(GROUP) --mode 0644 ; done

## hubzero-icewm-themes 1.1.1

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,10 @@
 # @package      hubzero-icewm-themes
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2011 Purdue University. All rights reserved.
+# @copyright    Copyright (c) 2010-2012 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2010-2011 Purdue University
-# All rights reserved.
+# Copyright (c) 2010-2012 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #
@@ -23,13 +22,17 @@
 # You should have received a copy of the GNU Lesser General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #
-# HUBzero is a registered trademark of Purdue University.
+# HUBzero is a registered trademark of HUBzero Foundation, LLC.
 #
+
+default:	
+	true
+
+install:
+	make -C hubzero --no-print-directory install
 
 clean:
 	rm -f configure-stamp
 	rm -f build-stamp
 	make -C hubzero --no-print-directory clean
-
-install:
-	make -C hubzero --no-print-directory install
+

=== hubzero/Makefile ===
# @package      hubzero-icewm-themes
# @file         hubzero/Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2012 HUBzero Foundation, LLC.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2010-2012 HUBzero Foundation, LLC.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

USRSHAREDIR=$(DESTDIR)/usr/share

FILES=closeA.xpm closeI.xpm closeO.xpm default.theme hubzero-start-btn.png hubzero_wallpaper.png maximizeA.xpm \
        maximizeI.xpm maximizeO.xpm menuButtonA.xpm menuButtonI.xpm menuButtonO.xpm minimizeA.xpm \
        minimizeI.xpm minimizeO.xpm restoreA.xpm restoreI.xpm restoreO.xpm titleAB.xpm titleAT.xpm \
        titleIB.xpm titleIT.xpm
TFILES=start.xpm

default:
	true

install:
	install -d $(USRSHAREDIR)/icewm/themes/hubzero --mode 0755
	install -d $(USRSHAREDIR)/icewm/themes/hubzero/taskbar --mode 0755
	for f in $(FILES); do install $$f $(USRSHAREDIR)/icewm/themes/hubzero/$$f --mode 0644 ; done
	for f in $(TFILES); do install taskbar/$$f $(USRSHAREDIR)/icewm/themes/hubzero/taskbar/$$f --mode 0644 ; done

clean:
	true

## hubzero-icewm-themes 1.1.2

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-icewm-themes
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2012 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2013 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2010-2012 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2013 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #

=== hubzero/Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-icewm-themes
 # @file         hubzero/Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2012 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2013 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2010-2012 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2013 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #

## hubzero-icewm-themes 1.2.0

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-icewm-themes
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2013 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2014 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2010-2013 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2014 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #
@@ -25,14 +25,19 @@
 # HUBzero is a registered trademark of HUBzero Foundation, LLC.
 #
 
-default:	
-	true
+all:
+	@true
 
 install:
-	make -C hubzero --no-print-directory install
+	make -C hubzero install
+
+uninstall:
+	@true
+
+postinst:
+	@true
 
 clean:
-	rm -f configure-stamp
-	rm -f build-stamp
-	make -C hubzero --no-print-directory clean
-	
+	make -C hubzero clean
+
+.PHONY: all install uninstall postinst clean

=== hubzero/Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-icewm-themes
 # @file         hubzero/Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2013 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2014 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2010-2013 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2014 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #

## hubzero-icewm-themes 1.3.0

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-icewm-themes
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2014 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2010-2014 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #

=== hubzero/Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-icewm-themes
 # @file         hubzero/Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2014 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2010-2014 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #

## hubzero-icewm-themes 2.0.0

=== Makefile ===
# @package      hubzero-icewm-themes
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

all:
	@true

install:
	make -C hubzero install

uninstall:
	@true

postinst:
	@true

clean:
	make -C hubzero clean

.PHONY: all install uninstall postinst clean

## hubzero-icewm-themes 2.2.0-1+deb9

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-icewm-themes
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal

=== hubzero/Makefile ===
# @package      hubzero-icewm-themes
# @file         hubzero/Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

USRSHAREDIR=$(DESTDIR)/usr/share

FILES=closeA.xpm closeI.xpm closeO.xpm default.theme hubzero-start-btn.png hubzero_wallpaper.png maximizeA.xpm \
        maximizeI.xpm maximizeO.xpm menuButtonA.xpm menuButtonI.xpm menuButtonO.xpm minimizeA.xpm \
        minimizeI.xpm minimizeO.xpm restoreA.xpm restoreI.xpm restoreO.xpm titleAB.xpm titleAT.xpm \
        titleIB.xpm titleIT.xpm
TFILES=start.xpm

default:
	true

install:
	install -d $(USRSHAREDIR)/icewm/themes/hubzero --mode 0755
	install -d $(USRSHAREDIR)/icewm/themes/hubzero/taskbar --mode 0755
	for f in $(FILES); do install $$f $(USRSHAREDIR)/icewm/themes/hubzero/$$f --mode 0644 ; done
	for f in $(TFILES); do install taskbar/$$f $(USRSHAREDIR)/icewm/themes/hubzero/taskbar/$$f --mode 0644 ; done

clean:
	true

=== debian/changelog ===
hubzero-icewm-themes (2.2.0-1+deb9) unstable; urgency=low

  * update copyright, version, authors, packaging

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 29 May 2018 10:43:12 -0400

hubzero-icewm-themes (2.0.0-1) unstable; urgency=low

  * update copyright, license, version 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 29 Aug 2015 17:03:32 -0400

hubzero-icewm-themes (1.3.1-1) unstable; urgency=low

  * version update to match redhat build

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 29 Aug 2015 16:54:57 -0400

hubzero-icewm-themes (1.3.0-1) unstable; urgency=medium

  * update copyright statements

 -- Nicholas Kisseberth <nkissebe@nix8.hubzero.org>  Tue, 02 Jun 2015 11:27:18 -0400

hubzero-icewm-themes (1.2.0-1) unstable; urgency=low

  * Repackaged to support multiple Debian releases

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 10 Sep 2014 21:37:29 -0400

hubzero-icewm-themes (1.1.2-1) unstable; urgency=low

  * update copyright statements

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 24 Aug 2013 13:32:49 -0400

hubzero-icewm-themes (1.1.1-1) unstable; urgency=low

  * update copyrights for HUBzero Foundation, LLC. and Debian 6 packaging

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 30 Aug 2012 12:13:44 -0400

hubzero-icewm-themes (1.1.0-1) unstable; urgency=low

  * Fix lintian packaging errors

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 19 Mar 2012 11:51:15 -0400

hubzero-icewm-themes (1.0.1-1) unstable; urgency=low

  * Changing the permissions on image files so they are not executable.

 -- Derrick Kearney <dsk@purdue.edu>  Mon, 17 Oct 2011 17:47:58 -0400

hubzero-icewm-themes (1.0.0-1) testing; urgency=low

  * Updated to 1.0

 -- John Rosheck <jrosheck@purdue.edu>  Fri, 08 Apr 2011 00:05:25 -0400

hubzero-icewm-themes (0.9.1-1) testing; urgency=low

  * Nick updated copyright and cleaned up.  Advanced version.

 -- John Rosheck <jrosheck@purdue.edu>  Wed, 23 Mar 2011 19:25:39 -0400

hubzero-icewm-themes (0.9.0-1) testing; urgency=low

  * Updated copyright and cleaned out debian directory.  Moved to new
    repository.

 -- John Rosheck <jrosheck@purdue.edu>  Sun, 06 Mar 2011 04:09:51 -0500

hubzero-icewm-themes (0.8.1-1) unstable; urgency=low

  * Non-maintainer upload.
  * Updated version number and fixed control file

 -- John Rosheck <jrosheck@purdue.edu>  Fri, 24 Sep 2010 17:25:42 -0400

hubzero-icewm-themes (0.8.0-1) stable; urgency=low

  * Initial release.

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 14 Jan 2010 15:37:22 -0500

=== debian/control ===
Source: hubzero-icewm-themes
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.8.4
Homepage: http://hubzero.org

Package: hubzero-icewm-themes
Architecture: all
Depends: icewm, ${misc:Depends}
Description: HUBzero themes for the icewm window manager
 HUBzero themes for the icewm window manager. Provides a HUBzero branded
 theme for workspaces or other icewm based HUBzero apps.

=== debian/rules ===
#!/usr/bin/make -f
#
# @package      hubzero-icewm-themes
# @file         rules
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

$(info ########## Goals: $(MAKECMDGOALS) ##########)

CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

export CFLAGS
export CPPFLAGS
export CXXFLAGS
export LDFLAGS

DEB_MAJOR:=$(shell lsb_release -r -s | cut -d . -f 1)

configure:
	@echo "########## configure ##########"
	dh_testdir
	>$@

build: configure
	@echo "########## build ##########"
	dh_testdir
	$(MAKE)
	>$@

clean:
	@echo "########## clean ##########"
	dh_testdir
	dh_testroot
	rm -fr build configure
	$(MAKE) clean
	dh_clean

install: build
	@echo "########## install ##########"
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/hubzero-icewm-themes install

binary-indep: install
	@echo "########## binary-indep ##########"
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_install -i
	dh_installlogrotate -i
	dh_installinit -i
	dh_installman -i
	#dh_python2 -i
	dh_link -i
	dh_strip -i
	dh_lintian -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	@echo "########## binary-arch ##########"
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a
	dh_installlogrotate -a
	dh_installinit -a
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_lintian -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep 
#binary: binary-arch
	@echo "########## binary ##########"

.PHONY: clean binary-indep binary-arch binary install

## hubzero-icewm-themes 2.2.1-1+deb9

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,9 @@
 # @package      hubzero-icewm-themes
 # @file         Makefile
-# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2020 The Regents of the University of California.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal
@@ -24,7 +23,7 @@
 # OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 # THE SOFTWARE.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
 all:

=== hubzero/Makefile ===
--- 
+++ 
@@ -1,10 +1,9 @@
 # @package      hubzero-icewm-themes
 # @file         hubzero/Makefile
-# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2020 The Regents of the University of California.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal
@@ -24,7 +23,7 @@
 # OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 # THE SOFTWARE.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
 USRSHAREDIR=$(DESTDIR)/usr/share

=== debian/changelog ===
hubzero-icewm-themes (2.2.1-1+deb9) unstable; urgency=low

  * update copyright/trademark ownership
  * update email address references
  * remove per file @author references
  * update copyright years

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 20 Aug 2020 09:13:21 -0700

hubzero-icewm-themes (2.2.0-1) unstable; urgency=low

  * update copyright, version, authors, packaging

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 29 May 2018 10:43:12 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: hubzero-icewm-themes
 Section: misc
 Priority: optional
-Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
+Maintainer: Nicholas J. Kisseberth <nkisseberth@ucsd.edu>
 Build-Depends: debhelper (>= 8.0.0)
 Standards-Version: 3.8.4
 Homepage: http://hubzero.org

=== debian/rules ===
--- 
+++ 
@@ -2,11 +2,10 @@
 #
 # @package      hubzero-icewm-themes
 # @file         rules
-# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2020 The Regents of the University of California.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal
@@ -26,7 +25,7 @@
 # OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 # THE SOFTWARE.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
 # Uncomment this to turn on verbose mode.

## hubzero-icewm-themes 2.2.3-1+deb7

=== debian/changelog ===
hubzero-icewm-themes (2.2.3-1+deb7) unstable; urgency=low

  * Debian 10 build fix

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 30 May 2023 10:18:48 -0700

hubzero-icewm-themes (2.2.2-1) unstable; urgency=low

  * Updates from steve clark

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Mon, 16 May 2012 03:12:19 -0700

hubzero-icewm-themes (2.2.1-1) unstable; urgency=low

  * update copyright/trademark ownership
  * update email address references
  * remove per file @author references
  * update copyright years

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 20 Aug 2020 09:13:21 -0700

## hubzero-icewm-themes 2.2.3-1+deb10

=== debian/changelog ===
hubzero-icewm-themes (2.2.3-1+deb10) unstable; urgency=low

  * Debian 10 build fix

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 30 May 2023 10:18:48 -0700

## hubzero-icewm-themes 2.2.3-1+deb12

=== hubzero/Makefile ===
--- 
+++ 
@@ -38,11 +38,11 @@
 	true
 
 install:
-	install -d $(USRSHAREDIR)/icewm/themes/hubzero --mode 0755
-	install -d $(USRSHAREDIR)/icewm/themes/hubzero/taskbar --mode 0755
-	for f in $(FILES); do install $$f $(USRSHAREDIR)/icewm/themes/hubzero/$$f --mode 0644 ; done
-	for f in $(TFILES); do install taskbar/$$f $(USRSHAREDIR)/icewm/themes/hubzero/taskbar/$$f --mode 0644 ; done
+	install -d $(USRSHAREDIR)/hubzero-icewm/themes/hubzero --mode 0755
+	install -d $(USRSHAREDIR)/hubzero-icewm/themes/hubzero/taskbar --mode 0755
+	for f in $(FILES); do install $$f $(USRSHAREDIR)/hubzero-icewm/themes/hubzero/$$f --mode 0644 ; done
+	for f in $(TFILES); do install taskbar/$$f $(USRSHAREDIR)/hubzero-icewm/themes/hubzero/taskbar/$$f --mode 0644 ; done
 
 clean:
 	true
-	
+

=== debian/changelog ===
hubzero-icewm-themes (2.2.3-1+deb12) unstable; urgency=low

  * Debian 10 build fix

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 30 May 2023 10:18:48 -0700
